﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppBsc2024_25_13
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            /*Form2 f2 = new Form2();
            f2.Show();*/
            /*new Form2().Show();
            new Form3().Show();*/
            button7.ContextMenuStrip = contextMenuStrip1;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (Form f in Application.OpenForms) 
            {
                richTextBox1.AppendText(f.Text);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Application.OpenForms[0].BackColor = Color.AliceBlue;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            foreach (Control c in Controls)
            {
                richTextBox1.AppendText(c.Text);
                richTextBox1.AppendText(Environment.NewLine);
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Button[] buttons = new Button[5];
            buttons[0] = button1;
            buttons[1] = button2;
            buttons[2] = button3;
            buttons[3] = button4;
            buttons[4] = button5;
            foreach(Button b in buttons)
            {
                b.Width = b.Width + 40;
                
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            foreach (Control c in Controls)
            {
                if(c.GetType() == typeof(CheckBox))
                {
                    ((CheckBox)c).Checked = true;
                }
            }
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Hello from MenuStrip!");
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ((ContextMenuStrip)((ToolStripMenuItem)sender).Owner)
              .SourceControl.BackColor = Color.Yellow;  
        }

        private void button6_Click(object sender, EventArgs e)
        {
            Task hi = Task.Run(() =>
            {
                Thread.Sleep(2000);
                MessageBox.Show("Hi from Task!");
            });
        }

        private void button7_Click(object sender, EventArgs e)
        {
            Thread.Sleep(2000);
            MessageBox.Show("Hi from Main!");
        }
    }
}
